﻿using BPA.SAAS.Manage.Application.Device.Dtos.Device;
using BPA.SAAS.Manage.Application.Device.Interface;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device
{
    [ApiDescriptionSettings("Technology", Tag = "设备工艺")]
    public class TechnologyServices: IDynamicApiController, ITransient
    {
        ITechnologyService _technologyService;
        public TechnologyServices(ITechnologyService technologyService) 
        {
            _technologyService= technologyService;
        }
        [HttpPost("/api/technology/page")]
        public async Task<PageUtil> GetTechnologyPage(TechnologyQueryInputDto inputDto)
        {
            return await  _technologyService.GetTechnologyPage(inputDto);
        }
    }
}
